// Read numbers from a text file and store them into an array; then
// find the largest number, and display it.

import java.io.*;
import java.util.Scanner;

class ArrayEx1Recursive {
	
   static int largest;

   static public void main(String[] args) throws IOException {
       
        Scanner scan = new Scanner (System.in);

        String inputpath;
        System.out.print ("Enter the pathname of the input file: ");

        inputpath = scan.nextLine();

	    Scanner inputFile; 
        inputFile = new Scanner(new File(inputpath));

        /* Declare the array */

        int[] numbers = new int[50];
        int index = 0;
   
        /* Read the first number and initialize largest */
        numbers[index] = inputFile.nextInt();
        largest = numbers[index];

        while (numbers[index] != 0) {
  
            index++;
            numbers[index] = inputFile.nextInt();
        
        }

        /* call the recursive method to do the search insted
           of the for loop  */

        int lo = 1;
		int hi = index - 1;
		
		largest = arraySearchRecursive (numbers, lo, hi);

        System.out.println("The largest number is " + largest);

        inputFile.close();

     }

	 
	 public static int arraySearchRecursive (int[] numbers, int lo, int hi) {
		 
		 // System.out.println (largest);   // for testing
		 
		 if (lo == hi+1)
			 return largest;
		 else {		 
			 if (numbers[lo] > largest) {
				 largest = numbers[lo];
				 arraySearchRecursive (numbers, lo+1, hi); }
			 else 
				 arraySearchRecursive (numbers, lo+1, hi); 
		 }
		 
		 return largest;
	 }
		  
	
}